1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 71 72 73 74 75 76 77 78 79 80 81 82 83 84 85 86 87 88 89 90 91 92 93 94 95 96 97 98 99 100 101 102 103 104 105 106 107 108 109 110 111 112 113 114 115 116 117 118 119 120 121 122 123 124 125 126 127 128 129 130 131 132 133 134 135 136 137 138 139 140 141 142 143 144 145 146 147 148 149 150 151 152 153 154 155 156 157 158 159 160 161 162 163 164 165 166 167 168 169 170 171 172 173 174 175 176 177 178 179 180 181 182 183 184 185 186 187 188 189 190 191 192 193 194 195 196 197 198 199 200 201 202 203 204 205 206 207 208 209 210 211 212 213 214 215
|
.. -*- rst -*-
=======
Backups
=======
List database backups
~~~~~~~~~~~~~~~~~~~~~
.. rest_method:: GET /v1.0/{project_id}/backups
List all database backups information for a project. You can filter results by
using query string parameters. The following filters are supported:
- ``instance_id={instance_id}`` - Return the list of backups for a particular
database instance.
- ``all_projects=True/False`` - Return the list of backups for all the
projects, this is an admin only param by default.
- ``datastore={datastore}`` - Return a list of backups of the same datastore.
- ``project_id={project_id}`` - Get backups of a specific project. Admin
required.
Normal response codes: 200
Request
-------
.. rest_parameters:: parameters.yaml
- project_id: project_id
Response Parameters
-------------------
.. rest_parameters:: parameters.yaml
- backups: backup_list
- created: created
- datastore: datastore2
- datastore.type: datastore_type1
- datastore.version: datastore_version_name
- datastore.version_id: datastore_version_id1
- description: backup_description1
- id: backup_id
- instance_id: backup_instanceId
- locationRef: backup_locationRef
- name: backup_name
- parent_id: backup_parentId1
- size: backup_size
- status: backup_status
- updated: updated
- project_id: project_uuid
- storage_driver: storage_driver
Response Example
----------------
.. literalinclude:: samples/backup-list-response.json
:language: javascript
Create database backup
~~~~~~~~~~~~~~~~~~~~~~
.. rest_method:: POST /v1.0/{project_id}/backups
Creates a database backup for instance.
In the Trove deployment with service tenant enabled, The backup data is
stored as objects in OpenStack Swift service in the user's container. If not
specified, the container name is defined by the cloud admin.
The user can create a backup strategy within the project scope or specific to
a particular instance.
In multi-region deployment with geo-replicated Swift, the user can also restore
a backup in a region by manually specifying the backup data location created in
another region, then create instances from the backup. Instance ID is not
required in this case.
.. warning::
The restored backup is dependent on the original backup data, if the
original backup is deleted, the restored backup is invalid.
Normal response codes: 202
Request
-------
.. rest_parameters:: parameters.yaml
- project_id: project_id
- name: backup_name
- instance: backup_instanceId
- parent_id: backup_parentId
- incremental: backup_incremental
- description: backup_description
- swift_container: swift_container
- restore_from: backup_restore_from
- storage_driver: storage_driver
Request Example
---------------
.. literalinclude:: samples/backup-create-request.json
:language: javascript
Response Parameters
-------------------
.. rest_parameters:: parameters.yaml
- created: created
- datastore: datastore2
- datastore.type: datastore_type1
- datastore.version: datastore_version_name
- datastore.version_id: datastore_version_id1
- description: backup_description1
- id: backup_id
- instance_id: backup_instanceId
- locationRef: backup_locationRef
- name: backup_name
- parent_id: backup_parentId1
- size: backup_size
- status: backup_status
- updated: updated
- project_id: project_uuid
- storage_driver: storage_driver
Response Example
----------------
.. literalinclude:: samples/backup-create-response.json
:language: javascript
Show database backup details
~~~~~~~~~~~~~~~~~~~~~~~~~~~~
.. rest_method:: GET /v1.0/{project_id}/backups/{backupId}
Show detailes of a backup.
Normal response codes: 200
Request
-------
.. rest_parameters:: parameters.yaml
- project_id: project_id
- backupId: backup_id
Response Parameters
-------------------
.. rest_parameters:: parameters.yaml
- created: created
- datastore: datastore2
- datastore.type: datastore_type1
- datastore.version: datastore_version_name
- datastore.version_id: datastore_version_id1
- description: backup_description1
- id: backup_id
- instance_id: backup_instanceId
- locationRef: backup_locationRef
- name: backup_name
- parent_id: backup_parentId1
- size: backup_size
- status: backup_status
- updated: updated
- project_id: project_uuid
- storage_driver: storage_driver
Response Example
----------------
.. literalinclude:: samples/backup-get-response.json
:language: javascript
Delete database backup
~~~~~~~~~~~~~~~~~~~~~~
.. rest_method:: DELETE /v1.0/{project_id}/backups/{backupId}
Deletes a database backup. All the child backups are deleted automatically when
a parent backup is deleted.
Normal response codes: 202
Request
-------
.. rest_parameters:: parameters.yaml
- project_id: project_id
- backupId: backup_id
|